lib/pvl/commit.sh
changeset 629 7214fe5c6fac
parent 628 b10ad946d01d
child 632 711be783d0a1
--- a/lib/pvl/commit.sh	Thu Feb 26 22:36:05 2015 +0200
+++ b/lib/pvl/commit.sh	Thu Feb 26 22:53:26 2015 +0200
@@ -3,7 +3,7 @@
 . $LIB/pvl/commit/git.sh
 . $LIB/pvl/commit/hg.sh
 
-commit_GETOPTS='cCm:'
+commit_GETOPTS='cCm:M'
 
 COMMIT=
 COMMIT_DIFF=
@@ -15,6 +15,7 @@
     -C      do not commit changes
     -c      commit changes
     -m MSG  commit message
+    -M      interactive commit message
 END
 }
 
@@ -27,6 +28,7 @@
         C)  COMMIT=0 ;;
 
         m)  COMMIT_MSG="$optarg" ;;
+        M)  COMMIT_MSG= ;;
         
         n)  COMMIT=0 ;;
         p)  COMMIT_DIFF=1 ;;
@@ -68,7 +70,7 @@
     if [ "$COMMIT" = 1 ]; then
         log_force   "$repo: force commit"
 
-        [ "$COMMIT_DIFF" ] && indent "    " ${commit}_diff "$repo" || true
+        [ "$COMMIT_DIFF" ] && cmd_indent "    " ${commit}_diff "$repo" || true
 
         ${commit}_commit "$repo" "$commit_msg"
 
@@ -79,11 +81,11 @@
         log_noop    "$repo: skip commit"
         
         # still show diff, though
-        [ "$COMMIT_DIFF" ] && indent "    " ${commit}_diff "$repo" || true
+        [ "$COMMIT_DIFF" ] && cmd_indent "    " ${commit}_diff "$repo" || true
     else
         log_apply   "$repo: commit: $commit_msg"
 
-        [ "$COMMIT_DIFF" ] && indent "    " ${commit}_diff "$repo" || true
+        [ "$COMMIT_DIFF" ] && cmd_indent "    " ${commit}_diff "$repo" || true
 
         ${commit}_commit "$repo" "$commit_msg"
     fi